LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File util-linux-2.23.1-noenc-suse.diff of Package util-linux (Project Base:System)

--- util-linux-2.23.1/libmount/src/context_loopdev.c
+++ util-linux-2.23.1/libmount/src/context_loopdev.c	2013-06-05 09:44:37.081939564 +0000
@@ -213,6 +213,9 @@ int mnt_context_setup_loopdev(struct lib
 	if (rc == 0 && (cxt->user_mountflags & MNT_MS_ENCRYPTION) &&
 	    mnt_optstr_get_option(optstr, "encryption", &val, &len) == 0) {
 		DBG(CXT, mnt_debug_h(cxt, "encryption no longer supported"));
+		// XXX: nasty for the lib but there's on better way to give a hint atm
+		fprintf(stderr, "mount: encryption no longer supported.\n"
+				"       Please use /etc/crypttab instead (man 5 crypttab)\n");
 		rc = -MNT_ERR_MOUNTOPT;
 	}